Funciona perfeito no Firefox 5.0.1 Rated 5 out of 5 stars

Basta baixar o xpi, extrair com 7zip ou outro e editar o install.rdf, mudando <em:maxVersion>3.0.*</em:maxVersion> para <em:maxVersion>5.0.*</em:maxVersion>.

This user has a previous review of this add-on.